> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Qwen 画像編集 Plus

> - Qwen（qwen-image-edit-plus）モデルは画像編集、画像から画像などのモードに対応
- 非同期処理モード、返却されたタスクIDで[照会](/ja/api-manual/task-management/get-task-detail)
- 生成された画像リンクは24時間有効です、お早めに保存してください



## OpenAPI

````yaml ja/api-manual/image-series/qwen/qwen-image-edit-plus.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: qwen-image-edit-plus インターフェース
  description: Qwen モデルを使用した画像編集（簡略化されたモデルパラメータ設定）
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
tags:
  - name: 画像生成
    description: AI画像生成関連API
paths:
  /v1/images/generations:
    post:
      tags:
        - 画像生成
      summary: qwen-image-edit-plus インターフェース
      description: >-
        - Qwen（qwen-image-edit-plus）モデルは画像編集、画像から画像などのモードに対応

        -
        非同期処理モード、返却されたタスクIDで[照会](/ja/api-manual/task-management/get-task-detail)

        - 生成された画像リンクは24時間有効です、お早めに保存してください
      operationId: createQwenImageEditPlusGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QwenImageEditRequest'
            examples:
              image_edit:
                summary: 画像編集
                value:
                  model: qwen-image-edit-plus
                  prompt: Replace the background of this image
      responses:
        '200':
          description: 画像タスクの作成に成功しました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: リクエストパラメータが不正です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、トークンが無効または期限切れです
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足のため、チャージが必要です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセスが拒否されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: qwen-image-edit-plus'
                  type: invalid_request_error
        '429':
          description: レート制限を超えました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    QwenImageEditRequest:
      type: object
      required:
        - model
        - prompt
        - image_urls
      properties:
        model:
          type: string
          description: モデル名
          enum:
            - qwen-image-edit-plus
          default: qwen-image-edit-plus
          example: qwen-image-edit-plus
        prompt:
          type: string
          description: 生成する画像を説明するプロンプト、または入力画像の編集方法を説明するプロンプト、2000トークンまで
          example: Replace the background of this image
          maxLength: 2000
        image_urls:
          type: array
          description: >-
            参照画像URLリスト


            **注意:**

            - リクエストあたりの最大入力画像数: `3`画像

            - 画像の幅と高さは`[384-3072]`ピクセルの範囲内である必要があります

            - サポートされるファイル形式: `.jpg`, `.jpeg`, `.png`, `.bmp`, `.webp`, `.tiff`

            -
            画像URLはサーバーから直接アクセス可能であるか、アクセス時に直接ダウンロードする必要があります（通常、これらのURLは`.png`、`.jpg`などの画像ファイル拡張子で終わります）
          items:
            type: string
            format: uri
          example:
            - https://example.com/image1.png
            - https://example.com/image2.png
        'n':
          type: integer
          description: |-
            生成する画像の枚数を指定、`[1,6]` の間の任意の整数値をサポート

            **注意:**
            - 各リクエストは `n` の値に基づいて事前課金され、実際の課金は生成された画像の枚数に基づきます
          minimum: 1
          maximum: 6
          default: 1
          example: 1
        negative_prompt:
          type: string
          description: |-
            画像に表示したくないコンテンツを記述するネガティブプロンプト、出力を制約するために使用

            **注意:**
            - 中国語と英語をサポート、最大長`500`文字、各中国語文字/文字は1文字としてカウント、超過分は自動的に切り捨てられます
          maxLength: 500
          example: >-
            low resolution, error, worst quality, low quality, mutilated, extra
            fingers, bad proportions
        size:
          type: string
          description: |-
            生成画像サイズ、**ピクセル形式**に対応：
            - 幅x高さ、例：`1024x1024`、`1024x1536`、`1536x1024`など範囲内の値
            - 幅と高さの範囲：`[512, 2048]`ピクセル
            - 未設定の場合、出力画像は元の画像に近いアスペクト比を維持し、`1024x1024`解像度に近くなります

            **注意：**
            - このパラメータは出力画像数`n`が`1`の場合のみ使用可能、それ以外はエラーが返されます
          pattern: ^[0-9]+x[0-9]+$
          example: 1024x1024
        prompt_extend:
          type: boolean
          description: >-
            インテリジェントプロンプト書き換えを有効にするかどうか。有効にすると、大規模モデルを使用してポジティブプロンプトを最適化し、シンプルまたは説明が不十分なプロンプトの結果を大幅に改善します。デフォルト値は
            `true`
          default: true
          example: true
        watermark:
          type: boolean
          description: 画像の右下隅に "Qwen-Image" ウォーターマークを追加するかどうか。デフォルト値は `false`
          default: false
          example: false
        seed:
          type: integer
          description: |-
            ランダムシード、範囲`[0, 2147483647]`、同じシード値を使用すると、生成されるコンテンツを比較的安定させることができます

            **注意:**
            - 提供されない場合、アルゴリズムは自動的にランダムシードを使用します
            - モデル生成プロセスは確率的であり、同じシードでも、毎回完全に同一の結果を保証することはできません
          minimum: 0
          maximum: 2147483647
          example: 12345
        callback_url:
          type: string
          description: >-
            タスク完了後の HTTPS コールバックアドレス


            **コールバックタイミング：**

            - タスクが完了、失敗、またはキャンセルされた時にトリガーされます

            - 課金確認完了後に送信されます


            **セキュリティ制限：**

            - HTTPS プロトコルのみサポート

            - 内部 IP アドレスへのコールバックは禁止（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など）

            - URL の長さは `2048` 文字以内


            **コールバックメカニズム：**

            - タイムアウト：`10` 秒

            - 失敗時最大 `3` 回リトライ（`1` 秒/`2` 秒/`4` 秒後にリトライ）

            - コールバックレスポンスボディの形式はタスククエリ API のレスポンス形式と一致

            - コールバックアドレスが 2xx ステータスコードを返した場合は成功とみなされ、その他のステータスコードはリトライをトリガーします
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成タイムスタンプ
          example: 1757156493
        id:
          type: string
          description: タスク ID
          example: task-unified-1757156493-imcg5zqt
        model:
          type: string
          description: 使用された実際のモデル名
          example: qwen-image-edit-plus
        object:
          type: string
          enum:
            - image.generation.task
          description: 具体的なタスクタイプ
        progress:
          type: integer
          description: タスク進捗率（0-100）
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクステータス
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
          description: 非同期タスク情報
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: タスク出力タイプ
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクをキャンセルできるかどうか
          example: true
        estimated_time:
          type: integer
          description: 推定完了時間（秒）
          minimum: 0
          example: 30
    Usage:
      type: object
      description: 使用量と課金情報
      properties:
        billing_rule:
          type: string
          description: 課金ルール
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 推定消費クレジット
          minimum: 0
          example: 1
        user_group:
          type: string
          description: ユーザーグループカテゴリ
          enum:
            - default
            - vip
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのAPIにBearer Token認証が必要です##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys)にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````